#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.sat-elita.info/                                          #
#                                                                              #
################################################################################

. /var/config/mount.conf
. /var/config/cifs.conf


#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

mount_hdd()
{
 if [ $devs != brak ]; then

  fs_id=`fdisk -l | grep $devs | tr -d '*' | awk '{print $5}'`

    if [ $fs_id == 83 ]; then
       echo "Detect & mount ext2/3 partition on $devs"
       mount /dev/$devs /hdd/
    elif [ $fs_id == 6 ] || [ $fs_id == 5 ] || [ $fs_id == b ] || [ $fs_id == c ] || [ $fs_id == e ] || [ $fs_id == f ]; then
       echo "Detect & mount FAT16/32 partition on $devs"
       mount /dev/$devs /hdd/ -t vfat
    elif [ $fs_id == 7 ]; then
       echo "Detect & mount HPFS/NTFS partition on $devs"
       mount /dev/$devs /hdd/ -t ntfs   
    else 
       echo "No such device"
    fi

  mkdir /hdd/movie 2>/dev/null
  mkdir /hdd/image 2>/dev/null
  /bin/vfdctl +hdd

 fi
}

mount_cifs()
{
 if [ -e /var/etc/active_cifs ]; then
   mount -t cifs //$cifs_address/$cifs_directory /mnt/cifs -o user=$cifs_login,password=$cifs_pass 
 fi
}

#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

case "$1" in
 'hdd')
    mount_hdd
    ;;
 'cifs')
    mount_cifs
    ;;
 'auto')
    mount_hdd
    mount_cifs
    ;;
 *)
    echo -e "\nUse: mountstarter.sh hdd|cifs|auto"
    ;;
esac

exit 0